## dacs 1.4.38a

=== src/bn/Makefile ===
#
# Copyright (c) 2003-2016
# Distributed Systems Software.  All rights reserved.
# See the file BN-LICENSE for redistribution information.
#
# $Id: Makefile 2896 2016-06-08 19:28:07Z brachman $
#

CC=gcc
CFLAGS=-g -DOPENSSL -I. -Wall -fPIC

INCS=bn.h bn_lcl.h

OBJS=bn.o bn_add.o bn_asm.o bn_ctx.o bn_div.o bn_exp.o bn_lib.o \
	bn_mod.o bn_mul.o bn_print.o bn_shift.o bn_sqr.o bn_word.o

.PHONY:	all bn clean distclean lib objs

bn:		libbn.a sha3.o

objs:	$(OBJS)	$(INCS)

all:	lib main sha3

main:	lib main.c
	$(CC) -DPROG $(CFLAGS) -o main main.c sha3.c libbn.a

sha3:	lib
	$(CC) $(CFLAGS) -DPROG sha3.c -o sha3

.c.o:
	$(CC) $(CFLAGS) -o $@ -c $<

lib:	libbn.a

libbn.a:	$(OBJS)
	ar rv libbn.a $(OBJS)
	ranlib libbn.a

clean:
	rm -f *.o libbn.a main sha3 *.core

distclean:	clean
	rm -rf autom4te.cache config.h config.status config.nice config.log

bn.o:		bn.c bn.h
bn_word.o:	bn_word.c bn.h

## dacs 1.4.27

=== debian/changelog ===
dacs (1.4.27-1) unstable; urgency=low

  * New upstream version and inital Debian upload.
  * Remove .la file.
  * Remove RPATH from .so files.
  * Install to debian/tmp and use dh_install.

 -- Christoph Berg <myon@debian.org>  Mon, 23 Jan 2012 17:43:55 +0100

dacs (1.4.26-1) unstable; urgency=low

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Wed, 07 Dec 2011 14:52:42 +0100

dacs (1.4.23-3) lenny-backports; urgency=low

  * Enable more authentication schemes.

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 26 Mar 2010 15:28:32 +0100

dacs (1.4.23-2) lenny-backports; urgency=low

  * Build for lenny. 

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 18 Feb 2010 13:30:23 +0100

dacs (1.4.23-1) etch-backports; urgency=low

  * Update to 1.4.23.

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 30 Sep 2009 16:23:53 +0200

dacs (1.4.22-1) etch-backports; urgency=low

  * Initial release.

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 17 Apr 2009 15:21:03 +0200

=== debian/control ===
Source: dacs
Section: web
Priority: optional
Maintainer: Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>= 7),
 apache2-threaded-dev, libssl-dev, libexpat1-dev, chrpath,
 libsasl2-dev, libperl-dev, libldap2-dev, autotools-dev,
 groff-base, xsltproc, docbook-xsl, libxmlsec1-dev, libpam0g-dev
Standards-Version: 3.9.2
Homepage: http://dacs.dss.ca/
Vcs-Git: git://anonscm.debian.org/collab-maint/dacs.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/dacs.git

Package: dacs
Section: web
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libapache2-mod-dacs
Description: Distributed Access Control System (DACS)
 DACS is a light-weight single sign-on and role-based access control system
 for web servers and server-based software. It is also an authentication and
 authorization toolkit for programmers. DACS makes secure resource sharing
 and remote access via the web easier, safer, and more efficient.
 .
 DACS provides:
 .
   * universal, extensible, modular, and efficient authentication methods,
     including two-factor authentication and hardware tokens
   * powerful, comprehensive, rule-based authorization checking that can
     be applied selectively and transparently to any resource or activity
     (such as web services, web content, and program features) by
     Apache-based web services, CGI programs, servlets, or virtually any
     program or script
   * secure, web-based single sign-on (SSO)
   * flexible, programmable configuration
   * an Apache 2.0/2.2 module, suite of CGI-based programs, and collection
     of command line tools

Package: libapache2-mod-dacs
Section: httpd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dacs (= ${binary:Version})
Description: Distributed Access Control System (DACS) - Apache Module
 DACS is a light-weight single sign-on and role-based access control system
 for web servers and server-based software. It is also an authentication and
 authorization toolkit for programmers. DACS makes secure resource sharing
 and remote access via the web easier, safer, and more efficient.
 .
 This package contains the Apache2 module.

Package: libdacs1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Distributed Access Control System (DACS) - shared library
 DACS is a light-weight single sign-on and role-based access control system
 for web servers and server-based software. It is also an authentication and
 authorization toolkit for programmers. DACS makes secure resource sharing
 and remote access via the web easier, safer, and more efficient.
 .
 This package contains the DACS shared library.

Package: libdacs-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libdacs1 (= ${binary:Version})
Replaces: dacs-dev (<< 1.4.22)
Conflicts: dacs-dev (<< 1.4.22)
Provides: dacs-dev
Description: Distributed Access Control System (DACS) - shared library
 DACS is a light-weight single sign-on and role-based access control system
 for web servers and server-based software. It is also an authentication and
 authorization toolkit for programmers. DACS makes secure resource sharing
 and remote access via the web easier, safer, and more efficient.
 .
 This package contains development files for the DACS shared library.

Package: dacs-examples
Section: web
Architecture: all
Depends: ${misc:Depends}
Recommends: libapache2-mod-dacs (>= ${source:Version}), dacs (>= ${source:Version})
Description: Distributed Access Control System (DACS) - example web root
 DACS is a light-weight single sign-on and role-based access control system
 for web servers and server-based software. It is also an authentication and
 authorization toolkit for programmers. DACS makes secure resource sharing
 and remote access via the web easier, safer, and more efficient.
 .
 This package contains an example web root directory to use with dacs.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PKG_APACHE2        := libapache2-mod-dacs
PKG_DACS           := dacs
PKG_DACS_EXAMPLES  := dacs-examples
PKG_LIBDACS        := $(shell grep -E '^Package: libdacs[0-9]+' debian/control |\
                             awk '{print $$2}')
PKG_LIBDACS_DEV    := libdacs-dev

#CFLAGS    =
#LDFLAGS   =
#CPPFLAGS  =
#CONFFLAGS =
#CONFENV   =
#
#CFLAGS = -Wall -g
#ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
#        CFLAGS += -O0
#else
#        CFLAGS += -O2
#endif
#CFLAGS   += $(shell apr-config --cflags)
#CPPFLAGS += $(shell apr-config --cppflags)
#
#
##LDFLAGS
#LDFLAGS +=  -Wl,-z,defs
#
#CONFENV += LDFLAGS="$(LDFLAGS)" CFLAGS="$(CFLAGS)"


##let's help configure to figure out our host/build system
#DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
#DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
#ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
#  CONFFLAGS += --build $(DEB_HOST_GNU_TYPE)
#else
#  CONFFLAGS += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
#endif




ext_lib := $(CURDIR)/ext_lib
ext_lib_mkdir = $(shell mkdir -p $(shell dirname $(ext_lib)/$(strip $(1))))
ext_lib_link =  $(shell : $(call ext_lib_mkdir, $(2)); \
                        [ -L $(ext_lib)/$(strip $(2)) ] || \
                            ln -s $(1) $(ext_lib)/$(strip $(2)) \
                 )


LIB_version_current := $(shell awk -F '=' '/^LIBCURRENT=/{print $$2}' src/configure.ac)
LIB_version_revision := $(shell awk -F '=' '/^LIBREVISION=/{print $$2}' src/configure.ac)
LIB_version_age := $(shell awk -F '=' '/^LIBAGE=/{print $$2}' src/configure.ac)
LIB_soname := $(shell expr $(LIB_version_current) - $(LIB_version_age))
LIB_version := $(LIB_soname).$(LIB_version_age).$(LIB_version_revision)


configure: configure-stamp
configure-stamp:
	dh_testdir

	if [ ! "libdacs$(LIB_soname)" = "$(PKG_LIBDACS)" ]; then \
	   echo "Soname bump in debian/control missing; new soname: $(LIB_soname)" ;\
	   exit 1 ;\
	fi

ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	rm -f src/conftools/config.sub
	cp -f /usr/share/misc/config.sub src/conftools/config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	rm -f src/conftools/config.guess
	cp -f /usr/share/misc/config.guess src/conftools/config.guess
endif


	#Linking external libraries and programs
	# Apache
	$(call ext_lib_link, /usr/bin/apxs2, apache/bin/apxs)
	$(call ext_lib_link, /usr/share/apache2/build, apache/build)
	$(call ext_lib_link, /usr/include/apr-1.0, apache/include/apr-1)
	$(call ext_lib_mkdir, apache/conf/httpd.conf)
	touch $(ext_lib)/apache/conf/httpd.conf

#	  $(CONFENV) ./configure
	set -e ;\
	  cd src ;\
	  unset LDFLAGS CFLAGS ;\
	  ./configure \
	    --prefix=/usr \
	    --localstatedir=/var \
	    --disable-prefix-check \
	    --sysconfdir=/etc/dacs \
	    --includedir=/usr/include/dacs \
	    --disable-bdb \
	    --enable-access-tokens \
	    --enable-cert-auth \
	    --disable-gdbm \
	    --enable-unix-auth \
	    --enable-apache-auth \
	    --enable-native-auth \
	    --enable-ldap-auth \
	    --enable-cas-auth \
	    --enable-token-auth \
	    --enable-pam-auth \
	    --enable-user-info \
	    --enable-unix-roles \
	    --enable-local-roles \
	    --with-htdocs=/usr/share/dacs \
	    --with-federations-root=/etc/dacs/federations \
	    --with-dacs-log=/var/log/dacs/error_log \
	    --with-ssl=/usr \
	    --with-expat=/usr \
	    --with-cgi-bin=/usr/lib/cgi-bin/dacs \
	    --with-apxs=/usr/bin/apxs2 \
	    --with-apache=$(ext_lib)/apache \
	    $(CONFFLAGS)

	touch $@

build-indep:
	#nothing to do here.

build build-arch: build-stamp
build-stamp: configure-stamp
	dh_testdir

	echo "root" > src/.ownername
	echo "www-data" > src/.groupname
	unset LDFLAGS CFLAGS && $(MAKE) -C $(CURDIR)/src
	unset LDFLAGS CFLAGS && $(MAKE) -C $(CURDIR)/apache tag

	ln -s /usr/share/xml/docbook/stylesheet/nwalsh $(CURDIR)/man/docbook-xsl
	$(MAKE) -B -C $(CURDIR)/man mansrc html index

	touch $@


install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	
	$(MAKE) -C $(CURDIR)/src install DESTDIR=$(CURDIR)/debian/tmp
	$(MAKE) -C $(CURDIR)/apache install DESTDIR=$(CURDIR)/debian/tmp

	#remove broken links
	rm $(CURDIR)/debian/tmp/usr/share/dacs/man/css
	rm $(CURDIR)/debian/tmp/usr/share/dacs/man/misc
	#remove empty dirs
	rmdir $(CURDIR)/debian/tmp/usr/lib/cgi-bin/dacs-native
	rmdir $(CURDIR)/debian/tmp/var/tmp
	# misc stuff is installed via dh_installdoc and similar tools
	rm -rf $(CURDIR)/debian/tmp/usr/share/dacs/misc
	rm -rf $(CURDIR)/debian/tmp/usr/share/man/cat*
	#library tweaks
	chrpath -d $(CURDIR)/debian/tmp/usr/lib/libdacs.so
	find $(CURDIR)/debian/tmp/usr/lib/cgi-bin/dacs -type f -not -name dacs_error | xargs chrpath -d
	chrpath -d $(CURDIR)/debian/tmp/usr/bin/*
	chrpath -d $(CURDIR)/debian/tmp/usr/sbin/*
	rm $(CURDIR)/debian/tmp/usr/lib/libdacs.la

	dh_install --fail-missing

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installchangelogs -i HISTORY
	dh_installdocs -i
	dh_compress -i
	find $(CURDIR)/debian/dacs-examples -type f | while read ffile; do \
	    if file $$ffile | grep -q executable; then \
	      chmod 755 $$ffile ;\
	    else \
	      chmod 644 $$ffile ;\
	    fi ;\
	done ;\
	dh_fixperms -i
	dh_gencontrol -i
	dh_installdeb -i
	dh_md5sums -i
	dh_builddeb -i


binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs -s HISTORY
	dh_installdocs -s
	dh_strip -s
	dh_compress -s
	for pkg in $(PKG_APACHE2) $(PKG_DACS); do \
	  find $(CURDIR)/debian/$$pkg -type f | while read ffile; do \
	    if file $$ffile | grep -q executable; then \
	      chmod 755 $$ffile ;\
	    else \
	      chmod 644 $$ffile ;\
	    fi ;\
	  done ;\
	done
	dh_fixperms -s
	dh_makeshlibs -s
	dh_shlibdeps -s
	dh_gencontrol -s
	dh_installdeb -s
	dh_md5sums -s
	dh_builddeb -s

binary: binary-arch binary-indep

clean:
	dh_testdir
	dh_testroot

	[ ! -f $(CURDIR)/src/Makefile ] || $(MAKE) -C $(CURDIR)/src distclean
	[ ! -f $(CURDIR)/apache/Makefile ] || $(MAKE) -C $(CURDIR)/apache distclean

ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	rm -f src/conftools/config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	rm -f src/conftools/config.guess
endif

	rm -f man/docbook-xsl
	rm -f man/*.html
	rm -f man/*.man
	rm -f man/*.[0-9]

	rm -rf $(ext_lib)

	rm -rf html/handlers/dacs_pam_handler \
	   src/.build_notes \
	   src/.defaults \
	   src/config.log \
	   src/config.nice \
	   src/defs.mk \
	   src/defs.vars \
	   src/expr.loT \
	   src/libtool \
	   src/tests/Makefile \
	   tools/perl/DACScheck.pm

	rm -f src/.ownername src/.groupname

	rm -f configure-stamp build-stamp
	dh_clean

## dacs 1.4.27b

=== debian/changelog ===
dacs (1.4.27b-2~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Christoph Berg <myon@debian.org>  Sat, 24 Nov 2012 19:37:00 +0100

dacs (1.4.27b-2) unstable; urgency=medium

  * Remove libapache2-mod-dacs.postrm in order not to remove the conffile
    /etc/apache2/mods-available/auth_dacs.load on package remove. The symlink
    from mods-enabled is removed on package remove, so we can simply leave the
    mods-available file around.  Closes: #689541

 -- Christoph Berg <myon@debian.org>  Mon, 22 Oct 2012 14:48:10 +0200

dacs (1.4.27b-1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Christoph Berg <myon@debian.org>  Fri, 23 Mar 2012 12:44:20 +0100

dacs (1.4.27b-1) unstable; urgency=low

  * New upstream version.
  * All relevant patches were accepted upstream.
  * Set SHELL=@SHELL@ in defs.mk.in, libtool needs it.
  * Update symbols file.
  * Update rules and .install files for new locations in the tmp tree.
  * Rename /usr/bin/http to dacshttp, the httpie package also provides it.
    Closes: #663509
  * Add lintian override for GPL-vs-openssl.

 -- Christoph Berg <myon@debian.org>  Wed, 21 Mar 2012 12:04:24 +0100

dacs (1.4.27-2~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Christoph Berg <myon@debian.org>  Mon, 05 Mar 2012 11:55:32 +0100

dacs (1.4.27-2) unstable; urgency=low

  [ Martin Zobel-Helas ]
  * Add myself to Uploaders.
  * Add apache2.2-common to Depends.

  [ Christoph Berg ]
  * Add a strict versioned dependency from dacs to libdacs1.
  * Add symbols file for libdacs1.
  * Remove broken debugging code from src/mkkey.c as per the dacs post-release
    notes.

 -- Christoph Berg <myon@debian.org>  Wed, 22 Feb 2012 11:54:50 +0100

dacs (1.4.27-1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Christoph Berg <myon@debian.org>  Tue, 07 Feb 2012 15:31:36 +0100

=== debian/rules ===
--- 
+++ 
@@ -149,14 +149,18 @@
 	$(MAKE) -C $(CURDIR)/src install DESTDIR=$(CURDIR)/debian/tmp
 	$(MAKE) -C $(CURDIR)/apache install DESTDIR=$(CURDIR)/debian/tmp
 
+	# misc stuff is installed via dh_installdoc and similar tools
+	rm -rf $(CURDIR)/debian/tmp/usr/www/misc
 	#remove broken links
-	rm $(CURDIR)/debian/tmp/usr/share/dacs/man/css
-	rm $(CURDIR)/debian/tmp/usr/share/dacs/man/misc
+	rm $(CURDIR)/debian/tmp/usr/www/man/css
+	rm $(CURDIR)/debian/tmp/usr/www/man/misc
+	#fix examples directory name
+	mkdir -p $(CURDIR)/debian/tmp/usr/share/doc/dacs-examples
+	mv $(CURDIR)/debian/tmp/usr/www $(CURDIR)/debian/tmp/usr/share/doc/dacs-examples/dacs
 	#remove empty dirs
 	rmdir $(CURDIR)/debian/tmp/usr/lib/cgi-bin/dacs-native
-	rmdir $(CURDIR)/debian/tmp/var/tmp
-	# misc stuff is installed via dh_installdoc and similar tools
-	rm -rf $(CURDIR)/debian/tmp/usr/share/dacs/misc
+	rmdir $(CURDIR)/debian/tmp/usr/tmp
+	#remove preformatted manpages
 	rm -rf $(CURDIR)/debian/tmp/usr/share/man/cat*
 	#library tweaks
 	chrpath -d $(CURDIR)/debian/tmp/usr/lib/libdacs.so
@@ -164,6 +168,9 @@
 	chrpath -d $(CURDIR)/debian/tmp/usr/bin/*
 	chrpath -d $(CURDIR)/debian/tmp/usr/sbin/*
 	rm $(CURDIR)/debian/tmp/usr/lib/libdacs.la
+	#rename http to dacshttp
+	mv $(CURDIR)/debian/tmp/usr/bin/http $(CURDIR)/debian/tmp/usr/bin/dacshttp
+	mv $(CURDIR)/debian/tmp/usr/share/man/man1/http.1 $(CURDIR)/debian/tmp/usr/share/man/man1/dacshttp.1
 
 	dh_install --fail-missing
 
@@ -239,6 +246,7 @@
 	   src/.defaults \
 	   src/config.log \
 	   src/config.nice \
+	   src/configure.lineno \
 	   src/defs.mk \
 	   src/defs.vars \
 	   src/expr.loT \

## dacs 1.4.28b

=== debian/changelog ===
dacs (1.4.28b-3ubuntu1) trusty; urgency=low

  * Use dh-autoreconf and dh_autotools-dev* for newer arches.
    - Specify autoconf macros directory.

 -- Daniel T Chen <crimsun@ubuntu.com>  Tue, 04 Feb 2014 09:22:53 -0500

dacs (1.4.28b-3) unstable; urgency=low

  * Fix linking errors/warnings (Closes: #717149)
  * Fix more lintian warnings, let dh_apache2 do the job for us

 -- Martin Zobel-Helas <zobel@debian.org>  Wed, 17 Jul 2013 21:00:28 +0200

dacs (1.4.28b-2) unstable; urgency=low

  * debian/control: Adjust build-deps for apache2.4 (Closes: #666810)
  * debian/rules: Use hardening build flags
  * icx.c: Patch to not use internal libxml functions any more (with many
    thanks to Felix Geyer)
  * Update to Standards-Version 3.9.4, no changes needed
  * debian/control: Adjust Depends on libapache-mod-dacs to apache2-api
  * debian/rules: make cgi-bin/dacs_error executable

 -- Martin Zobel-Helas <zobel@debian.org>  Sat, 06 Jul 2013 21:07:17 +0200

dacs (1.4.28b-1) experimental; urgency=low

  * New upstream version.
  * Update symbols file

 -- Martin Zobel-Helas <zobel@debian.org>  Sat, 23 Mar 2013 01:04:35 +0100

dacs (1.4.28a-1) experimental; urgency=low

  * New upstream version.
  * debian/patches: Update libtool-shell patch
  * debian/rules: Enable infocard-auth
  * debian/rules: Sort enable flags by alphabet
  * Update symbols file, needed for new infocard-auth

 -- Martin Zobel-Helas <zobel@debian.org>  Tue, 12 Feb 2013 13:58:26 +0100

dacs (1.4.28-1) experimental; urgency=low

  * New upstream version.
  * Update symbols file, removed symbol: http_main@Base.
  * debian/rules: The dacshttp renaming went upstream.
  * debian/rules: Run dacsexpr tests.

 -- Christoph Berg <myon@debian.org>  Fri, 21 Dec 2012 16:18:12 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: dacs
 Section: web
 Priority: optional
-Maintainer: Christoph Berg <myon@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Christoph Berg <myon@debian.org>
+Uploaders: Martin Zobel-Helas <zobel@debian.org>
 Build-Depends: debhelper (>= 7),
- apache2-threaded-dev, libssl-dev, libexpat1-dev, chrpath,
- libsasl2-dev, libperl-dev, libldap2-dev, autotools-dev,
+ apache2-dev, libssl-dev, libexpat1-dev, chrpath,
+ libsasl2-dev, libperl-dev, libldap2-dev, dh-autoreconf, autotools-dev,
  groff-base, xsltproc, docbook-xsl, libxmlsec1-dev, libpam0g-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Homepage: http://dacs.dss.ca/
 Vcs-Git: git://anonscm.debian.org/collab-maint/dacs.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/dacs.git
@@ -14,7 +16,7 @@
 Package: dacs
 Section: web
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, libdacs1 (= ${binary:Version})
 Suggests: libapache2-mod-dacs
 Description: Distributed Access Control System (DACS)
  DACS is a light-weight single sign-on and role-based access control system
@@ -39,7 +41,7 @@
 Package: libapache2-mod-dacs
 Section: httpd
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, dacs (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, dacs (= ${binary:Version}), apache2-api-20120211
 Description: Distributed Access Control System (DACS) - Apache Module
  DACS is a light-weight single sign-on and role-based access control system
  for web servers and server-based software. It is also an authentication and

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+export AUTOHEADER = true
 
 PKG_APACHE2        := libapache2-mod-dacs
 PKG_DACS           := dacs
@@ -41,7 +42,8 @@
 #  CONFFLAGS += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
 #endif
 
-
+DPKG_EXPORT_BUILDFLAGS=1
+include /usr/share/dpkg/buildflags.mk
 
 
 ext_lib := $(CURDIR)/ext_lib
@@ -68,15 +70,8 @@
 	   exit 1 ;\
 	fi
 
-ifneq "$(wildcard /usr/share/misc/config.sub)" ""
-	rm -f src/conftools/config.sub
-	cp -f /usr/share/misc/config.sub src/conftools/config.sub
-endif
-ifneq "$(wildcard /usr/share/misc/config.guess)" ""
-	rm -f src/conftools/config.guess
-	cp -f /usr/share/misc/config.guess src/conftools/config.guess
-endif
-
+	dh_autotools-dev_updateconfig
+	dh_autoreconf
 
 	#Linking external libraries and programs
 	# Apache
@@ -89,7 +84,6 @@
 #	  $(CONFENV) ./configure
 	set -e ;\
 	  cd src ;\
-	  unset LDFLAGS CFLAGS ;\
 	  ./configure \
 	    --prefix=/usr \
 	    --localstatedir=/var \
@@ -97,19 +91,20 @@
 	    --sysconfdir=/etc/dacs \
 	    --includedir=/usr/include/dacs \
 	    --disable-bdb \
+	    --disable-gdbm \
 	    --enable-access-tokens \
+	    --enable-apache-auth \
+	    --enable-cas-auth \
 	    --enable-cert-auth \
-	    --disable-gdbm \
+	    --enable-infocard-auth \
+	    --enable-ldap-auth \
+	    --enable-local-roles \
+	    --enable-native-auth \
+	    --enable-pam-auth \
+	    --enable-token-auth \
 	    --enable-unix-auth \
-	    --enable-apache-auth \
-	    --enable-native-auth \
-	    --enable-ldap-auth \
-	    --enable-cas-auth \
-	    --enable-token-auth \
-	    --enable-pam-auth \
+	    --enable-unix-roles \
 	    --enable-user-info \
-	    --enable-unix-roles \
-	    --enable-local-roles \
 	    --with-htdocs=/usr/share/dacs \
 	    --with-federations-root=/etc/dacs/federations \
 	    --with-dacs-log=/var/log/dacs/error_log \
@@ -131,8 +126,9 @@
 
 	echo "root" > src/.ownername
 	echo "www-data" > src/.groupname
-	unset LDFLAGS CFLAGS && $(MAKE) -C $(CURDIR)/src
-	unset LDFLAGS CFLAGS && $(MAKE) -C $(CURDIR)/apache tag
+	$(MAKE) -C $(CURDIR)/src
+	$(MAKE) -C $(CURDIR)/apache tag
+	$(MAKE) -C $(CURDIR)/src/tests
 
 	ln -s /usr/share/xml/docbook/stylesheet/nwalsh $(CURDIR)/man/docbook-xsl
 	$(MAKE) -B -C $(CURDIR)/man mansrc html index
@@ -168,9 +164,6 @@
 	chrpath -d $(CURDIR)/debian/tmp/usr/bin/*
 	chrpath -d $(CURDIR)/debian/tmp/usr/sbin/*
 	rm $(CURDIR)/debian/tmp/usr/lib/libdacs.la
-	#rename http to dacshttp
-	mv $(CURDIR)/debian/tmp/usr/bin/http $(CURDIR)/debian/tmp/usr/bin/dacshttp
-	mv $(CURDIR)/debian/tmp/usr/share/man/man1/http.1 $(CURDIR)/debian/tmp/usr/share/man/man1/dacshttp.1
 
 	dh_install --fail-missing
 
@@ -199,6 +192,7 @@
 	dh_testroot
 	dh_installchangelogs -s HISTORY
 	dh_installdocs -s
+	dh_apache2
 	dh_strip -s
 	dh_compress -s
 	for pkg in $(PKG_APACHE2) $(PKG_DACS); do \
@@ -210,6 +204,7 @@
 	    fi ;\
 	  done ;\
 	done
+	chmod 755 $(CURDIR)/debian/dacs/usr/lib/cgi-bin/dacs/dacs_error
 	dh_fixperms -s
 	dh_makeshlibs -s
 	dh_shlibdeps -s
@@ -226,13 +221,6 @@
 
 	[ ! -f $(CURDIR)/src/Makefile ] || $(MAKE) -C $(CURDIR)/src distclean
 	[ ! -f $(CURDIR)/apache/Makefile ] || $(MAKE) -C $(CURDIR)/apache distclean
-
-ifneq "$(wildcard /usr/share/misc/config.sub)" ""
-	rm -f src/conftools/config.sub
-endif
-ifneq "$(wildcard /usr/share/misc/config.guess)" ""
-	rm -f src/conftools/config.guess
-endif
 
 	rm -f man/docbook-xsl
 	rm -f man/*.html
@@ -257,5 +245,7 @@
 	rm -f src/.ownername src/.groupname
 
 	rm -f configure-stamp build-stamp
+	dh_autoreconf_clean
+	dh_autotools-dev_restoreconfig
+	rm -f src/conftools/lt* src/conftools/libtool.m4
 	dh_clean
-

=== debian/watch ===
version=3
http://dacs.dss.ca/download.html .*/dacs-(.*)\.t[gb]z

## dacs 1.4.38a

=== debian/changelog ===
dacs (1.4.38a-2build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 22:32:51 +0000

dacs (1.4.38a-2) unstable; urgency=medium

  * Reintroduce debian/patches/ssl_hook_Fixup. Otherwise, the module tries to
    access the non-public ssl_hook_Fixup() function which is not resolvable
    anymore in recent openssl versions. Practical history in Debian (the patch
    had been there since the package was first uploaded in 2012, and even
    earlier in private packages), and code comments indicate the function call
    is not necessary, so remove it. Thanks to Jonas Smedegaard for spotting!
    (Closes: #863395)
  * Build-Depend on apache2-ssl-dev instead of libssl-dev to match the openssl
    version apache2 is using.
  * Add test case using a2enmod/apache2ctl configtest.
  * Remove Build-Depends on libxmlsec1-dev which was only needed for the
    already disabled infocard support. (Additionally, libxmlsec1-dev depends
    on libssl-dev, so it was not co-installable with libssl1.0-dev anyway.)

 -- Christoph Berg <christoph.berg@credativ.de>  Fri, 02 Jun 2017 13:51:39 +0200

dacs (1.4.38a-1) unstable; urgency=medium

  * New upstream version.
    + Do not check/set mode of a log file that does not exist or is not a
      regular file. (Closes: #729410)
    + Added the DACS_SIGNOUT_RESULT parameter to a SIGNOUT_HANDLER URL and
      extended SIGNOUT_HANDLER to explicitly allow a user-specified signout
      handler URL to override a default URL. See dacs_signout(8) and
      dacs.conf(5) for details. (Closes: #739566)
    + For Linux, use _DEFAULT_SOURCE instead of _BSD_SOURCE. (Closes: #703552)
    + Avoid producing a duplicate error message in dacs_auth_transfer.
      (Closes: #740413)

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 12 Jan 2017 16:22:08 +0100

dacs (1.4.38-1) unstable; urgency=medium

  * New upstream version.
    + Works with OpenSSL 1.1. (Closes: #828277)
    + Uses newer config.guess/sub. (Closes: #737641)
    + Installs dacsinit. (Closes: #729475)
  * Rewrite rules to use dh.
  * Disable infocard auth, broken in 1.4.38.
  * Drop debian/patches/ssl_hook_Fixup.
  * Update libdacs1.symbols.
  * Update watch file to also look for .txz files.
  * Fix libdacs-dev short description, thanks Daniele Forsi.
    (Closes: #810537)
  * Remove redundant "dacs" subdir from examples package. (Closes: #729470)
  * Add patch by Chris Lamb to make build reproducible, thanks!
    (Closes: #835673)
  * Support DEB_BUILD_OPTIONS=nodoc.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 02 Nov 2016 17:21:22 +0100

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,16 @@
 Section: web
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Christoph Berg <myon@debian.org>
+XSBC-Original-Maintainer: Christoph Berg <christoph.berg@credativ.de>
 Uploaders: Martin Zobel-Helas <zobel@debian.org>
-Build-Depends: debhelper (>= 7),
- apache2-dev, libssl-dev, libexpat1-dev, chrpath,
- libsasl2-dev, libperl-dev, libldap2-dev, dh-autoreconf, autotools-dev,
- groff-base, xsltproc, docbook-xsl, libxmlsec1-dev, libpam0g-dev
-Standards-Version: 3.9.4
-Homepage: http://dacs.dss.ca/
-Vcs-Git: git://anonscm.debian.org/collab-maint/dacs.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/dacs.git
+Build-Depends: debhelper (>= 9),
+ apache2-dev, apache2-ssl-dev, libexpat1-dev, chrpath,
+ libsasl2-dev, libperl-dev, libldap2-dev, autotools-dev,
+ groff-base, xsltproc, docbook-xsl, libpam0g-dev
+Standards-Version: 3.9.8
+Homepage: https://dacs.dss.ca/
+Vcs-Git: https://alioth.debian.org/anonscm/git/collab-maint/dacs.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/dacs.git
 
 Package: dacs
 Section: web
@@ -41,7 +41,7 @@
 Package: libapache2-mod-dacs
 Section: httpd
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, dacs (= ${binary:Version}), apache2-api-20120211
+Depends: ${shlibs:Depends}, ${misc:Depends}, dacs (= ${binary:Version})
 Description: Distributed Access Control System (DACS) - Apache Module
  DACS is a light-weight single sign-on and role-based access control system
  for web servers and server-based software. It is also an authentication and
@@ -69,7 +69,7 @@
 Replaces: dacs-dev (<< 1.4.22)
 Conflicts: dacs-dev (<< 1.4.22)
 Provides: dacs-dev
-Description: Distributed Access Control System (DACS) - shared library
+Description: Distributed Access Control System (DACS) - development files
  DACS is a light-weight single sign-on and role-based access control system
  for web servers and server-based software. It is also an authentication and
  authorization toolkit for programmers. DACS makes secure resource sharing

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PKG_APACHE2        := libapache2-mod-dacs
PKG_DACS           := dacs
PKG_LIBDACS        := $(shell grep -E '^Package: libdacs[0-9]+' debian/control |\
                             awk '{print $$2}')

DPKG_EXPORT_BUILDFLAGS=1
include /usr/share/dpkg/buildflags.mk


ext_lib := $(CURDIR)/ext_lib
ext_lib_mkdir = $(shell mkdir -p $(shell dirname $(ext_lib)/$(strip $(1))))
ext_lib_link =  $(shell : $(call ext_lib_mkdir, $(2)); \
                        [ -L $(ext_lib)/$(strip $(2)) ] || \
                            ln -s $(1) $(ext_lib)/$(strip $(2)) \
                 )


LIB_version_current := $(shell awk -F '=' '/^LIBCURRENT=/{print $$2}' src/configure.ac)
LIB_version_age := $(shell awk -F '=' '/^LIBAGE=/{print $$2}' src/configure.ac)
LIB_soname := $(shell expr $(LIB_version_current) - $(LIB_version_age))


override_dh_auto_configure:
	if [ ! "libdacs$(LIB_soname)" = "$(PKG_LIBDACS)" ]; then \
	   echo "Soname bump in debian/control missing; new soname: $(LIB_soname)" ;\
	   exit 1 ;\
	fi

	#Linking external libraries and programs
	# Apache
	$(call ext_lib_link, /usr/bin/apxs2, apache/bin/apxs)
	$(call ext_lib_link, /usr/share/apache2/build, apache/build)
	$(call ext_lib_link, /usr/include/apr-1.0, apache/include/apr-1)
	$(call ext_lib_mkdir, apache/conf/httpd.conf)
	touch $(ext_lib)/apache/conf/httpd.conf

	set -e ;\
	  cd src ;\
	  ./configure \
	    --prefix=/usr \
	    --localstatedir=/var \
	    --disable-prefix-check \
	    --sysconfdir=/etc/dacs \
	    --includedir=/usr/include/dacs \
	    --disable-bdb \
	    --enable-access-tokens \
	    --enable-apache-auth \
	    --enable-cas-auth \
	    --enable-cert-auth \
	    --enable-ldap-auth \
	    --enable-local-roles \
	    --enable-native-auth \
	    --enable-pam-auth \
	    --enable-token-auth \
	    --enable-unix-auth \
	    --enable-unix-roles \
	    --enable-user-info \
	    --with-htdocs=/usr/share/dacs \
	    --with-federations-root=/etc/dacs/federations \
	    --with-dacs-log=/var/log/dacs/error_log \
	    --with-ssl=/usr \
	    --with-expat=/usr \
	    --with-cgi-bin=/usr/lib/cgi-bin/dacs \
	    --with-apxs=/usr/bin/apxs2 \
	    --with-apache=$(ext_lib)/apache \
	    $(CONFFLAGS)

override_dh_auto_build:
	echo "root" > src/.ownername
	echo "www-data" > src/.groupname
	$(MAKE) -C $(CURDIR)/src
	$(MAKE) -C $(CURDIR)/apache tag
	$(MAKE) -C $(CURDIR)/src/tests

ifeq ($(filter nodoc, $(DEB_BUILD_OPTIONS)),)
	ln -s /usr/share/xml/docbook/stylesheet/nwalsh $(CURDIR)/man/docbook-xsl
	$(MAKE) -B -C $(CURDIR)/man mansrc html index
endif

override_dh_install:
	$(MAKE) -C $(CURDIR)/src install DESTDIR=$(CURDIR)/debian/tmp
	$(MAKE) -C $(CURDIR)/apache install DESTDIR=$(CURDIR)/debian/tmp

	# misc stuff is installed via dh_installdoc and similar tools
	rm -rf $(CURDIR)/debian/tmp/usr/www/misc
	#remove broken links
	rm $(CURDIR)/debian/tmp/usr/www/man/css
	rm $(CURDIR)/debian/tmp/usr/www/man/misc
	#fix examples directory name
	mkdir -p $(CURDIR)/debian/tmp/usr/share/doc/dacs-examples
	mv $(CURDIR)/debian/tmp/usr/www/* $(CURDIR)/debian/tmp/usr/share/doc/dacs-examples
	#remove empty dirs
	rmdir $(CURDIR)/debian/tmp/usr/lib/cgi-bin/dacs-native
	rmdir $(CURDIR)/debian/tmp/usr/tmp
	#remove preformatted manpages
	rm -rf $(CURDIR)/debian/tmp/usr/share/man/cat*
	#library tweaks
	chrpath -d $(CURDIR)/debian/tmp/usr/lib/libdacs.so
	find $(CURDIR)/debian/tmp/usr/lib/cgi-bin/dacs -type f -not -name dacs_error | xargs chrpath -d
	find $(CURDIR)/debian/tmp/usr/bin -type f -not -name dacsinit | xargs chrpath -d
	chrpath -d $(CURDIR)/debian/tmp/usr/sbin/*
	rm $(CURDIR)/debian/tmp/usr/lib/libdacs.la

	dh_install --fail-missing

override_dh_installchangelogs:
	dh_installchangelogs HISTORY

override_dh_clean:
	[ ! -f $(CURDIR)/src/Makefile ] || $(MAKE) -C $(CURDIR)/src distclean
	[ ! -f $(CURDIR)/apache/Makefile ] || $(MAKE) -C $(CURDIR)/apache distclean

	rm -f man/docbook-xsl
	rm -f man/*.html
	rm -f man/*.man
	rm -f man/*.[0-9]

	rm -rf $(ext_lib)

	rm -rf html/handlers/dacs_pam_handler \
	   src/.build_notes \
	   src/.defaults \
	   src/config.log \
	   src/config.nice \
	   src/configure.lineno \
	   src/defs.mk \
	   src/defs.vars \
	   src/expr.loT \
	   src/libtool \
	   src/tests/Makefile \
	   tools/perl/DACScheck.pm

	rm -f src/.ownername src/.groupname

	dh_clean

%:
	dh $@ --with apache2,autotools_dev

=== debian/watch ===
version=3
http://dacs.dss.ca/download.html .*/dacs-(.*)\.t[gbx]z

## dacs 1.4.40

=== src/libradius/Makefile ===
# Copyright (c) 2003-2018
# Distributed Systems Software.  All rights reserved.
# See the file LICENSE for redistribution information.
#
# $Id: Makefile 2985 2018-01-26 00:20:10Z brachman $

.PHONY: install

INCLUDES=install/include/radlib.h
LIBS=install/lib/libradius.a install/lib/libradius.so

install:
	@(cd src; $(MAKE) install)

clean:
	@(cd src; $(MAKE) clean)
	@rm -f $(LIBS) $(INCLUDES)

=== src/libradius/src/Makefile ===
# Copyright (c) 2003-2018
# Distributed Systems Software.  All rights reserved.
# See the file LICENSE for redistribution information.
#
# $Id: Makefile 3001 2018-01-31 22:13:26Z brachman $

INSTALLDIR=../install

INCLUDES=include/radlib_private.h include/radlib_vs.h ../include/radlib.h

# Define WITH_SSL to use OpenSSL's hash functions (NOT tested)
#CFLAGS=-g -Wall -DWITH_SSL -fPIC -I./include -I../include -I../../../include

CFLAGS=-g -Wall -DUSE_DACS -fPIC -I./include -I../include -I../../../include \
	-I/usr/local/expat-2.2.5/include -I/usr/local/openssl-1.0.2n/include

radlib.o:	radlib.c $(INCLUDES)
	gcc -c $(CFLAGS) radlib.c

libradius.a:	radlib.o
	ar rv libradius.a radlib.o
	ranlib libradius.a

# No shared library for now... this requires help by the main configure.ac
#libradius.so:	radlib.o
#	gcc -shared -o libradius.so radlib.o

all:	libradius.a

install:	all
	cp libradius.a $(INSTALLDIR)/lib
	cp ../include/radlib.h $(INSTALLDIR)/include

clean:
	rm -f radlib.o libradius.a

veryclean:
	@($(MAKE) clean)
	rm -f $(INSTALLDIR)/lib/libradius.a
	rm -f $(INSTALLDIR)/include/radlib.a

=== debian/changelog ===
dacs (1.4.40-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces

  [ Christoph Berg ]
  * Exclude hurd from listed architectures.
  * Use my debian.org address.

 -- Christoph Berg <myon@debian.org>  Tue, 19 Feb 2019 14:08:41 +0100

dacs (1.4.40-1) unstable; urgency=medium

  * New upstream version.
  * Fix build documentation: Build-depend on docbook-xml and add a symlink
    during build. Thanks Jonas Smedegaard! (Closes: #863528)
  * Mark dacs-examples as Multi-Arch: foreign. (Thanks to the MA-hinter!)
  * Update libdacs1.symbols. Missing now: crypto_cipher_iv_length.
  * Bump to DH 11 and remove dh --with autotools_dev.
  * Move repository to salsa.debian.org.

 -- Christoph Berg <christoph.berg@credativ.de>  Mon, 12 Mar 2018 10:08:04 +0100

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,31 @@
 Source: dacs
 Section: web
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Christoph Berg <christoph.berg@credativ.de>
+Maintainer: Christoph Berg <myon@debian.org>
 Uploaders: Martin Zobel-Helas <zobel@debian.org>
-Build-Depends: debhelper (>= 9),
- apache2-dev, apache2-ssl-dev, libexpat1-dev, chrpath,
- libsasl2-dev, libperl-dev, libldap2-dev, autotools-dev,
- groff-base, xsltproc, docbook-xsl, libpam0g-dev
-Standards-Version: 3.9.8
+Build-Depends:
+ apache2-dev,
+ apache2-ssl-dev,
+ chrpath,
+ debhelper (>= 11),
+ docbook-xml,
+ docbook-xsl,
+ groff-base,
+ libexpat1-dev,
+ libldap2-dev,
+ libpam0g-dev,
+ libperl-dev,
+ libsasl2-dev,
+ xsltproc,
+Standards-Version: 4.3.0
 Homepage: https://dacs.dss.ca/
-Vcs-Git: https://alioth.debian.org/anonscm/git/collab-maint/dacs.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/dacs.git
+Vcs-Git: https://salsa.debian.org/debian/dacs.git
+Vcs-Browser: https://salsa.debian.org/debian/dacs
 
 Package: dacs
 Section: web
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libdacs1 (= ${binary:Version})
+Architecture: linux-any kfreebsd-any
+Depends: libdacs1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Suggests: libapache2-mod-dacs
 Description: Distributed Access Control System (DACS)
  DACS is a light-weight single sign-on and role-based access control system
@@ -40,8 +49,8 @@
 
 Package: libapache2-mod-dacs
 Section: httpd
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, dacs (= ${binary:Version})
+Architecture: linux-any kfreebsd-any
+Depends: dacs (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Distributed Access Control System (DACS) - Apache Module
  DACS is a light-weight single sign-on and role-based access control system
  for web servers and server-based software. It is also an authentication and
@@ -52,8 +61,8 @@
 
 Package: libdacs1
 Section: libs
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Architecture: linux-any kfreebsd-any
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Distributed Access Control System (DACS) - shared library
  DACS is a light-weight single sign-on and role-based access control system
  for web servers and server-based software. It is also an authentication and
@@ -64,8 +73,8 @@
 
 Package: libdacs-dev
 Section: libdevel
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libdacs1 (= ${binary:Version})
+Architecture: linux-any kfreebsd-any
+Depends: libdacs1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Replaces: dacs-dev (<< 1.4.22)
 Conflicts: dacs-dev (<< 1.4.22)
 Provides: dacs-dev
@@ -80,8 +89,11 @@
 Package: dacs-examples
 Section: web
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
-Recommends: libapache2-mod-dacs (>= ${source:Version}), dacs (>= ${source:Version})
+Recommends:
+ dacs (>= ${source:Version}),
+ libapache2-mod-dacs (>= ${source:Version}),
 Description: Distributed Access Control System (DACS) - example web root
  DACS is a light-weight single sign-on and role-based access control system
  for web servers and server-based software. It is also an authentication and

=== debian/rules ===
--- 
+++ 
@@ -79,6 +79,7 @@
 
 ifeq ($(filter nodoc, $(DEB_BUILD_OPTIONS)),)
 	ln -s /usr/share/xml/docbook/stylesheet/nwalsh $(CURDIR)/man/docbook-xsl
+	ln -s /usr/share/xml/docbook/schema/dtd/4 $(CURDIR)/man/docbook-xml
 	$(MAKE) -B -C $(CURDIR)/man mansrc html index
 endif
 
@@ -140,4 +141,4 @@
 	dh_clean
 
 %:
-	dh $@ --with apache2,autotools_dev
+	dh $@ --with apache2
